Index: django/conf/locale/et/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/et/LC_MESSAGES/django.po	(revision 11325)
+++ django/conf/locale/et/LC_MESSAGES/django.po	(working copy)
@@ -5,7 +5,7 @@
 msgstr ""
 "Project-Id-Version: Django\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-04-11 07:53+0300\n"
+"POT-Creation-Date: 2009-07-24 22:06+0300\n"
 "PO-Revision-Date: 2008-09-03 00:35+0200\n"
 "Last-Translator: Erik Allik <removethis-eallik_at_gmail-com>\n"
 "Language-Team: Django-i18n <django-i18n@googlegroups.com>\n"
@@ -217,19 +217,19 @@
 msgid "Traditional Chinese"
 msgstr "traditsiooniline hiina"
 
-#: contrib/admin/actions.py:56
+#: contrib/admin/actions.py:60
 #, python-format
 msgid "Successfully deleted %(count)d %(items)s."
-msgstr ""
+msgstr "%(count)d %(items)s kustutamine õnnestus"
 
-#: contrib/admin/actions.py:63 contrib/admin/options.py:1023
+#: contrib/admin/actions.py:67 contrib/admin/options.py:1027
 msgid "Are you sure?"
 msgstr "Kas olete kindel?"
 
-#: contrib/admin/actions.py:81
+#: contrib/admin/actions.py:85
 #, python-format
 msgid "Delete selected %(verbose_name_plural)s"
-msgstr ""
+msgstr "Kustuta valitud %(verbose_name_plural)s"
 
 #: contrib/admin/filterspecs.py:44
 #, python-format
@@ -265,15 +265,15 @@
 msgid "This year"
 msgstr "Käesolev aasta"
 
-#: contrib/admin/filterspecs.py:147 forms/widgets.py:413
+#: contrib/admin/filterspecs.py:147 forms/widgets.py:434
 msgid "Yes"
 msgstr "Jah"
 
-#: contrib/admin/filterspecs.py:147 forms/widgets.py:413
+#: contrib/admin/filterspecs.py:147 forms/widgets.py:434
 msgid "No"
 msgstr "Ei"
 
-#: contrib/admin/filterspecs.py:154 forms/widgets.py:413
+#: contrib/admin/filterspecs.py:154 forms/widgets.py:434
 msgid "Unknown"
 msgstr "Tundmatu"
 
@@ -311,100 +311,101 @@
 
 #: contrib/admin/options.py:133 contrib/admin/options.py:147
 msgid "None"
-msgstr "puudub"
+msgstr "Puudub"
 
-#: contrib/admin/options.py:517
+#: contrib/admin/options.py:519
 #, python-format
 msgid "Changed %s."
 msgstr "Muutsin %s."
 
-#: contrib/admin/options.py:517 contrib/admin/options.py:527
-#: contrib/comments/templates/comments/preview.html:16 forms/models.py:306
+#: contrib/admin/options.py:519 contrib/admin/options.py:529
+#: contrib/comments/templates/comments/preview.html:16 forms/models.py:388
+#: forms/models.py:600
 msgid "and"
 msgstr "ja"
 
-#: contrib/admin/options.py:522
+#: contrib/admin/options.py:524
 #, python-format
 msgid "Added %(name)s \"%(object)s\"."
 msgstr "Lisatud %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:526
+#: contrib/admin/options.py:528
 #, python-format
 msgid "Changed %(list)s for %(name)s \"%(object)s\"."
 msgstr "Muudetud %(list)s objektil %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:531
+#: contrib/admin/options.py:533
 #, python-format
 msgid "Deleted %(name)s \"%(object)s\"."
 msgstr "Kustutatud %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:535
+#: contrib/admin/options.py:537
 msgid "No fields changed."
 msgstr "Ühtegi välja ei muudetud."
 
-#: contrib/admin/options.py:596 contrib/auth/admin.py:67
+#: contrib/admin/options.py:599 contrib/auth/admin.py:67
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully."
 msgstr "%(name)s \"%(obj)s\" lisamine õnnestus."
 
-#: contrib/admin/options.py:600 contrib/admin/options.py:633
+#: contrib/admin/options.py:603 contrib/admin/options.py:636
 #: contrib/auth/admin.py:75
 msgid "You may edit it again below."
 msgstr "Võite jätkata redigeerimist."
 
-#: contrib/admin/options.py:610 contrib/admin/options.py:643
+#: contrib/admin/options.py:613 contrib/admin/options.py:646
 #, python-format
 msgid "You may add another %s below."
 msgstr "Võite jätkata uue %s lisamisega."
 
-#: contrib/admin/options.py:631
+#: contrib/admin/options.py:634
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was changed successfully."
 msgstr "%(name)s \"%(obj)s\" muutmine õnnestus."
 
-#: contrib/admin/options.py:639
+#: contrib/admin/options.py:642
 #, python-format
 msgid ""
 "The %(name)s \"%(obj)s\" was added successfully. You may edit it again below."
 msgstr "%(name)s \"%(obj)s\" lisamine õnnestus. Te võite seda muuta."
 
-#: contrib/admin/options.py:770
+#: contrib/admin/options.py:773
 #, python-format
 msgid "Add %s"
 msgstr "Lisa %s"
 
-#: contrib/admin/options.py:801 contrib/admin/options.py:1001
+#: contrib/admin/options.py:804 contrib/admin/options.py:1005
 #, python-format
 msgid "%(name)s object with primary key %(key)r does not exist."
 msgstr "%(name)s primaarvõtmega %(key)r ei eksisteeri."
 
-#: contrib/admin/options.py:858
+#: contrib/admin/options.py:861
 #, python-format
 msgid "Change %s"
 msgstr "Muuda %s"
 
-#: contrib/admin/options.py:902
+#: contrib/admin/options.py:905
 msgid "Database error"
 msgstr "Andmebaasi viga"
 
-#: contrib/admin/options.py:938
+#: contrib/admin/options.py:941
 #, python-format
 msgid "%(count)s %(name)s was changed successfully."
 msgid_plural "%(count)s %(name)s were changed successfully."
 msgstr[0] "%(count)s %(name)s muutmine õnnestus."
 msgstr[1] "%(count)s %(name)s muutmine õnnestus."
 
-#: contrib/admin/options.py:1016
+#: contrib/admin/options.py:1020
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was deleted successfully."
 msgstr "%(name)s \"%(obj)s\" kustutati."
 
-#: contrib/admin/options.py:1052
+#: contrib/admin/options.py:1057
 #, python-format
 msgid "Change history: %s"
 msgstr "Muudatuste ajalugu: %s"
 
-#: contrib/admin/sites.py:20 contrib/admin/views/decorators.py:14
+#: contrib/admin/sites.py:21 contrib/admin/views/decorators.py:14
 #: contrib/auth/forms.py:80
 msgid ""
 "Please enter a correct username and password. Note that both fields are case-"
@@ -413,11 +414,11 @@
 "Palun sisestage korrektne kasutajatunnus ja salasõna. Mõlemad väljad on "
 "tõstutundlikud."
 
-#: contrib/admin/sites.py:278 contrib/admin/views/decorators.py:40
+#: contrib/admin/sites.py:285 contrib/admin/views/decorators.py:40
 msgid "Please log in again, because your session has expired."
 msgstr "Teie sessioon on aegunud. Palun logige uuesti sisse."
 
-#: contrib/admin/sites.py:285 contrib/admin/views/decorators.py:47
+#: contrib/admin/sites.py:292 contrib/admin/views/decorators.py:47
 msgid ""
 "Looks like your browser isn't configured to accept cookies. Please enable "
 "cookies, reload this page, and try again."
@@ -425,28 +426,27 @@
 "Paistab, et Teie brauser ei aktsepteeri küpsiseid. Palun võimaldage küpsised "
 "ning seejärel laadige see leht uuesti."
 
-#: contrib/admin/sites.py:301 contrib/admin/sites.py:307
+#: contrib/admin/sites.py:308 contrib/admin/sites.py:314
 #: contrib/admin/views/decorators.py:66
 msgid "Usernames cannot contain the '@' character."
 msgstr "Kasutajatunnused ei tohi sisaldada '@' märki."
 
-#: contrib/admin/sites.py:304 contrib/admin/views/decorators.py:62
+#: contrib/admin/sites.py:311 contrib/admin/views/decorators.py:62
 #, python-format
 msgid "Your e-mail address is not your username. Try '%s' instead."
-msgstr ""
-"Teie e-posti aadress ei ole Teie kasutajatunnus. Proovige '%s'."
+msgstr "Teie e-posti aadress ei ole Teie kasutajatunnus. Proovige '%s'."
 
-#: contrib/admin/sites.py:360
+#: contrib/admin/sites.py:367
 msgid "Site administration"
 msgstr "Saidi administreerimine"
 
-#: contrib/admin/sites.py:373 contrib/admin/templates/admin/login.html:26
+#: contrib/admin/sites.py:381 contrib/admin/templates/admin/login.html:26
 #: contrib/admin/templates/registration/password_reset_complete.html:14
 #: contrib/admin/views/decorators.py:20
 msgid "Log in"
 msgstr "Sisene"
 
-#: contrib/admin/sites.py:417
+#: contrib/admin/sites.py:426
 #, python-format
 msgid "%s administration"
 msgstr "%s - administreerimine"
@@ -496,7 +496,7 @@
 
 #: contrib/admin/templates/admin/500.html:4
 #: contrib/admin/templates/admin/app_index.html:8
-#: contrib/admin/templates/admin/base.html:33
+#: contrib/admin/templates/admin/base.html:54
 #: contrib/admin/templates/admin/change_form.html:17
 #: contrib/admin/templates/admin/change_list.html:25
 #: contrib/admin/templates/admin/delete_confirmation.html:6
@@ -541,7 +541,6 @@
 msgstr "Käivita valitud toiming"
 
 #: contrib/admin/templates/admin/actions.html:4
-#: contrib/admin/templates/admin/search_form.html:8
 msgid "Go"
 msgstr "Mine"
 
@@ -551,18 +550,18 @@
 msgid "%(name)s"
 msgstr "%(name)s"
 
-#: contrib/admin/templates/admin/base.html:28
+#: contrib/admin/templates/admin/base.html:27
 msgid "Welcome,"
 msgstr "Tere tulemast,"
 
-#: contrib/admin/templates/admin/base.html:28
+#: contrib/admin/templates/admin/base.html:32
 #: contrib/admin/templates/registration/password_change_done.html:3
 #: contrib/admin/templates/registration/password_change_form.html:3
 #: contrib/admindocs/templates/admin_doc/bookmarklets.html:3
 msgid "Documentation"
 msgstr "Dokumentatsioon"
 
-#: contrib/admin/templates/admin/base.html:28
+#: contrib/admin/templates/admin/base.html:40
 #: contrib/admin/templates/admin/auth/user/change_password.html:14
 #: contrib/admin/templates/admin/auth/user/change_password.html:47
 #: contrib/admin/templates/registration/password_change_done.html:3
@@ -570,7 +569,7 @@
 msgid "Change password"
 msgstr "Muuda salasõna"
 
-#: contrib/admin/templates/admin/base.html:28
+#: contrib/admin/templates/admin/base.html:47
 #: contrib/admin/templates/registration/password_change_done.html:3
 #: contrib/admin/templates/registration/password_change_form.html:3
 msgid "Log out"
@@ -659,9 +658,8 @@
 "your account doesn't have permission to delete the following types of "
 "objects:"
 msgstr ""
-"%(object_name)s kustutamiseks on vaja "
-"kustutada ka seotud objektid, aga teil puudub õigus järgnevat "
-"tüüpi objektide kustutamiseks:"
+"%(object_name)s kustutamiseks on vaja kustutada ka seotud objektid, aga teil "
+"puudub õigus järgnevat tüüpi objektide kustutamiseks:"
 
 #: contrib/admin/templates/admin/delete_selected_confirmation.html:22
 #, python-format
@@ -702,6 +700,10 @@
 msgid "None available"
 msgstr "Ei leitud ühtegi"
 
+#: contrib/admin/templates/admin/index.html:72
+msgid "Unknown content"
+msgstr "Tundmatu sisu"
+
 #: contrib/admin/templates/admin/invalid_setup.html:7
 msgid ""
 "Something's wrong with your database installation. Make sure the appropriate "
@@ -750,6 +752,15 @@
 msgid "Show all"
 msgstr "Näita kõiki"
 
+#: contrib/admin/templates/admin/pagination.html:11
+#: contrib/admin/templates/admin/submit_line.html:3
+msgid "Save"
+msgstr "Salvesta"
+
+#: contrib/admin/templates/admin/search_form.html:8
+msgid "Search"
+msgstr "Otsing"
+
 #: contrib/admin/templates/admin/search_form.html:10
 #, python-format
 msgid "1 result"
@@ -762,10 +773,6 @@
 msgid "%(full_result_count)s total"
 msgstr "Kokku %(full_result_count)s"
 
-#: contrib/admin/templates/admin/submit_line.html:3
-msgid "Save"
-msgstr "Salvesta"
-
 #: contrib/admin/templates/admin/submit_line.html:5
 msgid "Save as new"
 msgstr "Salvesta uuena"
@@ -993,144 +1000,145 @@
 msgid "template"
 msgstr "mall"
 
-#: contrib/admindocs/views.py:58 contrib/admindocs/views.py:60
-#: contrib/admindocs/views.py:62
+#: contrib/admindocs/views.py:61 contrib/admindocs/views.py:63
+#: contrib/admindocs/views.py:65
 msgid "tag:"
 msgstr "lipik:"
 
-#: contrib/admindocs/views.py:91 contrib/admindocs/views.py:93
-#: contrib/admindocs/views.py:95
+#: contrib/admindocs/views.py:94 contrib/admindocs/views.py:96
+#: contrib/admindocs/views.py:98
 msgid "filter:"
 msgstr "filtreeri:"
 
-#: contrib/admindocs/views.py:155 contrib/admindocs/views.py:157
-#: contrib/admindocs/views.py:159
+#: contrib/admindocs/views.py:158 contrib/admindocs/views.py:160
+#: contrib/admindocs/views.py:162
 msgid "view:"
 msgstr "vaade:"
 
-#: contrib/admindocs/views.py:187
+#: contrib/admindocs/views.py:190
 #, python-format
 msgid "App %r not found"
 msgstr "Rakendust %r ei leitud"
 
-#: contrib/admindocs/views.py:194
+#: contrib/admindocs/views.py:197
 #, python-format
 msgid "Model %(model_name)r not found in app %(app_label)r"
 msgstr "Mudelit %(model_name)r ei leitud rakendusest %(app_label)r"
 
-#: contrib/admindocs/views.py:206
+#: contrib/admindocs/views.py:209
 #, python-format
 msgid "the related `%(app_label)s.%(data_type)s` object"
 msgstr "seotud `%(app_label)s.%(data_type)s` objekt"
 
-#: contrib/admindocs/views.py:206 contrib/admindocs/views.py:228
-#: contrib/admindocs/views.py:242 contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:209 contrib/admindocs/views.py:228
+#: contrib/admindocs/views.py:233 contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:261 contrib/admindocs/views.py:266
 msgid "model:"
 msgstr "mudel:"
 
-#: contrib/admindocs/views.py:237
+#: contrib/admindocs/views.py:224 contrib/admindocs/views.py:256
 #, python-format
 msgid "related `%(app_label)s.%(object_name)s` objects"
 msgstr "seotud `%(app_label)s.%(object_name)s` objektid"
 
-#: contrib/admindocs/views.py:242
+#: contrib/admindocs/views.py:228 contrib/admindocs/views.py:261
 #, python-format
 msgid "all %s"
 msgstr "kõik %s"
 
-#: contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:233 contrib/admindocs/views.py:266
 #, python-format
 msgid "number of %s"
 msgstr "%s arv"
 
-#: contrib/admindocs/views.py:252
+#: contrib/admindocs/views.py:271
 #, python-format
 msgid "Fields on %s objects"
 msgstr "Objekti %s väljad"
 
-#: contrib/admindocs/views.py:315 contrib/admindocs/views.py:326
-#: contrib/admindocs/views.py:328 contrib/admindocs/views.py:334
-#: contrib/admindocs/views.py:335 contrib/admindocs/views.py:337
+#: contrib/admindocs/views.py:334 contrib/admindocs/views.py:345
+#: contrib/admindocs/views.py:347 contrib/admindocs/views.py:353
+#: contrib/admindocs/views.py:354 contrib/admindocs/views.py:356
 msgid "Integer"
 msgstr "Täisarv"
 
-#: contrib/admindocs/views.py:316
+#: contrib/admindocs/views.py:335
 msgid "Boolean (Either True or False)"
 msgstr "Tõeväärtus (Kas tõene või väär)"
 
-#: contrib/admindocs/views.py:317 contrib/admindocs/views.py:336
+#: contrib/admindocs/views.py:336 contrib/admindocs/views.py:355
 #, python-format
 msgid "String (up to %(max_length)s)"
 msgstr "String (kuni %(max_length)s märki)"
 
-#: contrib/admindocs/views.py:318
+#: contrib/admindocs/views.py:337
 msgid "Comma-separated integers"
 msgstr "Komaga eraldatud täisarvud"
 
-#: contrib/admindocs/views.py:319
+#: contrib/admindocs/views.py:338
 msgid "Date (without time)"
 msgstr "Kuupäev (kellaajata)"
 
-#: contrib/admindocs/views.py:320
+#: contrib/admindocs/views.py:339
 msgid "Date (with time)"
 msgstr "Kuupäev (kellaajaga)"
 
-#: contrib/admindocs/views.py:321
+#: contrib/admindocs/views.py:340
 msgid "Decimal number"
 msgstr "Kümnendmurd"
 
-#: contrib/admindocs/views.py:322
+#: contrib/admindocs/views.py:341
 msgid "E-mail address"
 msgstr "E-posti aadress"
 
-#: contrib/admindocs/views.py:323 contrib/admindocs/views.py:324
-#: contrib/admindocs/views.py:327
+#: contrib/admindocs/views.py:342 contrib/admindocs/views.py:343
+#: contrib/admindocs/views.py:346
 msgid "File path"
 msgstr "Faili asukoht"
 
-#: contrib/admindocs/views.py:325
+#: contrib/admindocs/views.py:344
 msgid "Floating point number"
 msgstr "Ujukomaarv"
 
-#: contrib/admindocs/views.py:329 contrib/comments/models.py:60
+#: contrib/admindocs/views.py:348 contrib/comments/models.py:60
 msgid "IP address"
 msgstr "IP aadress"
 
-#: contrib/admindocs/views.py:331
+#: contrib/admindocs/views.py:350
 msgid "Boolean (Either True, False or None)"
 msgstr "Tõeväärtus (Kas tõene, väär või tühi)"
 
-#: contrib/admindocs/views.py:332
+#: contrib/admindocs/views.py:351
 msgid "Relation to parent model"
 msgstr "Seos ülem-mudeliga"
 
-#: contrib/admindocs/views.py:333
+#: contrib/admindocs/views.py:352
 msgid "Phone number"
 msgstr "Telefoninumber"
 
-#: contrib/admindocs/views.py:338
+#: contrib/admindocs/views.py:357
 msgid "Text"
 msgstr "Tekst"
 
-#: contrib/admindocs/views.py:339
+#: contrib/admindocs/views.py:358
 msgid "Time"
 msgstr "Aeg"
 
-#: contrib/admindocs/views.py:340 contrib/comments/forms.py:95
+#: contrib/admindocs/views.py:359 contrib/comments/forms.py:95
 #: contrib/comments/templates/comments/moderation_queue.html:37
 #: contrib/flatpages/admin.py:8 contrib/flatpages/models.py:7
 msgid "URL"
 msgstr "URL"
 
-#: contrib/admindocs/views.py:341
+#: contrib/admindocs/views.py:360
 msgid "U.S. state (two uppercase letters)"
 msgstr "U.S.A. osariik (kaks suurt tähte)"
 
-#: contrib/admindocs/views.py:342
+#: contrib/admindocs/views.py:361
 msgid "XML text"
 msgstr "XML tekst"
 
-#: contrib/admindocs/views.py:368
+#: contrib/admindocs/views.py:387
 #, python-format
 msgid "%s does not appear to be a urlpattern object"
 msgstr "%s ei tundu olevat urlpattern objekt"
@@ -1470,7 +1478,7 @@
 "If you enter anything in this field your comment will be treated as spam"
 msgstr "Kui sisestate sellesse lahtrisse midagi, loetakse kommentaar rämpsuks"
 
-#: contrib/comments/models.py:22 contrib/contenttypes/models.py:71
+#: contrib/comments/models.py:22 contrib/contenttypes/models.py:74
 msgid "content type"
 msgstr "sisutüüp"
 
@@ -1698,11 +1706,11 @@
 msgid "or make changes"
 msgstr "või tee muudatused"
 
-#: contrib/contenttypes/models.py:67
+#: contrib/contenttypes/models.py:70
 msgid "python model class name"
 msgstr "pythoni mudeli klassinimi"
 
-#: contrib/contenttypes/models.py:72
+#: contrib/contenttypes/models.py:75
 msgid "content types"
 msgstr "sisutüübid"
 
@@ -1772,18 +1780,25 @@
 "Vabandame, kuid vorm on aegunud. Palun jätkake vormi täitmist käesolevalt "
 "lehelt."
 
-#: contrib/gis/forms/fields.py:14
+#: contrib/gis/forms/fields.py:17
 msgid "No geometry value provided."
 msgstr "Geomeetriline väärtus puudub."
 
-#: contrib/gis/forms/fields.py:15
+#: contrib/gis/forms/fields.py:18
 msgid "Invalid geometry value."
 msgstr "Vigane geomeetriline väärtus."
 
-#: contrib/gis/forms/fields.py:16
+#: contrib/gis/forms/fields.py:19
 msgid "Invalid geometry type."
 msgstr "Vigane geomeetriline tüüp."
 
+#: contrib/gis/forms/fields.py:20
+msgid ""
+"An error occurred when transforming the geometry to the SRID of the geometry "
+"form field."
+msgstr ""
+"Geomeetria teisendamisel geomeetria vormivälja SRID-ks tekkis viga."
+
 #: contrib/humanize/templatetags/humanize.py:19
 msgid "th"
 msgstr "."
@@ -2104,59 +2119,59 @@
 
 #: contrib/localflavor/cz/cz_regions.py:8
 msgid "Prague"
-msgstr ""
+msgstr "Praha"
 
 #: contrib/localflavor/cz/cz_regions.py:9
 msgid "Central Bohemian Region"
-msgstr ""
+msgstr "Kesk-Boheemia regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:10
 msgid "South Bohemian Region"
-msgstr ""
+msgstr "Lõuna-Boheemia regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:11
 msgid "Pilsen Region"
-msgstr ""
+msgstr "Pilseni regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:12
 msgid "Carlsbad Region"
-msgstr ""
+msgstr "Carlsbadi regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:13
 msgid "Usti Region"
-msgstr ""
+msgstr "Usti regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:14
 msgid "Liberec Region"
-msgstr ""
+msgstr "Libereci regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:15
 msgid "Hradec Region"
-msgstr ""
+msgstr "Hradeci regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:16
 msgid "Pardubice Region"
-msgstr ""
+msgstr "Pardubice regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:17
 msgid "Vysocina Region"
-msgstr ""
+msgstr "Vysocina regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:18
 msgid "South Moravian Region"
-msgstr ""
+msgstr "Lõuna-Moraavia regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:19
 msgid "Olomouc Region"
-msgstr ""
+msgstr "Olomouci regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:20
 msgid "Zlin Region"
-msgstr ""
+msgstr "Zlini regioon"
 
 #: contrib/localflavor/cz/cz_regions.py:21
 msgid "Moravian-Silesian Region"
-msgstr ""
+msgstr "Moraavia-Sileesia regioon"
 
 #: contrib/localflavor/cz/forms.py:27 contrib/localflavor/sk/forms.py:30
 msgid "Enter a postal code in the format XXXXX or XXX XX."
@@ -2164,12 +2179,13 @@
 
 #: contrib/localflavor/cz/forms.py:47
 msgid "Enter a birth number in the format XXXXXX/XXXX or XXXXXXXXXX."
-msgstr ""
-"Sisesta sünninumber formaadis XXXXXX/XXXX või XXXXXXXXXX"
+msgstr "Sisesta sünninumber formaadis XXXXXX/XXXX või XXXXXXXXXX"
 
 #: contrib/localflavor/cz/forms.py:48
 msgid "Invalid optional parameter Gender, valid values are 'f' and 'm'"
-msgstr "Ebasobiv valikuline parameeter Sugu, sobivad väärtused on 'f' (naine) ja 'm' (mees)"
+msgstr ""
+"Ebasobiv valikuline parameeter Sugu, sobivad väärtused on 'f' (naine) ja "
+"'m' (mees)"
 
 #: contrib/localflavor/cz/forms.py:49
 msgid "Enter a valid birth number."
@@ -3846,7 +3862,7 @@
 msgid "sites"
 msgstr "saidid"
 
-#: db/models/fields/__init__.py:356 db/models/fields/__init__.py:707
+#: db/models/fields/__init__.py:356 db/models/fields/__init__.py:710
 msgid "This value must be an integer."
 msgstr "See väärtus peab olema täisarv."
 
@@ -3880,24 +3896,24 @@
 msgid "This value must be a decimal number."
 msgstr "See väärtus peab olema kümnendarv."
 
-#: db/models/fields/__init__.py:683
+#: db/models/fields/__init__.py:686
 msgid "This value must be a float."
 msgstr "See väärtus peab olema murdarv."
 
-#: db/models/fields/__init__.py:743
+#: db/models/fields/__init__.py:746
 msgid "This value must be either None, True or False."
 msgstr "See väärtus peab olema kas tühi, tõene või väär."
 
-#: db/models/fields/__init__.py:846 db/models/fields/__init__.py:860
+#: db/models/fields/__init__.py:849 db/models/fields/__init__.py:863
 msgid "Enter a valid time in HH:MM[:ss[.uuuuuu]] format."
 msgstr "Sisestage korrektne kellaaeg formaadis TT:MM[:ss[.uuuuuu]]"
 
-#: db/models/fields/related.py:792
+#: db/models/fields/related.py:816
 msgid ""
 "Hold down \"Control\", or \"Command\" on a Mac, to select more than one."
 msgstr "Et valida mitu, hoidke all \"Control\"-nuppu (Maci puhul \"Command\")."
 
-#: db/models/fields/related.py:870
+#: db/models/fields/related.py:894
 #, python-format
 msgid "Please enter valid %(self)s IDs. The value %(value)r is invalid."
 msgid_plural ""
@@ -3961,11 +3977,11 @@
 msgid "Ensure that there are no more than %s digits before the decimal point."
 msgstr "Veenduge, et komast vasakul olevaid numbreid ei oleks rohkem kui %s."
 
-#: forms/fields.py:288 forms/fields.py:862
+#: forms/fields.py:288 forms/fields.py:863
 msgid "Enter a valid date."
 msgstr "Sisestage korrektne kuupäev."
 
-#: forms/fields.py:322 forms/fields.py:863
+#: forms/fields.py:322 forms/fields.py:864
 msgid "Enter a valid time."
 msgstr "Sisestage korrektne kellaaeg."
 
@@ -4009,20 +4025,20 @@
 msgid "This URL appears to be a broken link."
 msgstr "See URL näib olevat katkine."
 
-#: forms/fields.py:624 forms/fields.py:702
+#: forms/fields.py:625 forms/fields.py:703
 #, python-format
 msgid "Select a valid choice. %(value)s is not one of the available choices."
 msgstr "Valige korrektne väärtus. %(value)s ei ole valitav."
 
-#: forms/fields.py:703 forms/fields.py:764 forms/models.py:776
+#: forms/fields.py:704 forms/fields.py:765 forms/models.py:1003
 msgid "Enter a list of values."
 msgstr "Sisestage väärtuste nimekiri."
 
-#: forms/fields.py:891
+#: forms/fields.py:892
 msgid "Enter a valid IPv4 address."
 msgstr "Sisestage korrektne IPv4 aadress."
 
-#: forms/fields.py:901
+#: forms/fields.py:902
 msgid ""
 "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens."
 msgstr ""
@@ -4032,76 +4048,103 @@
 msgid "Order"
 msgstr "Järjestus"
 
-#: forms/models.py:299 forms/models.py:308
+#: forms/models.py:367
 #, python-format
+msgid "%(field_name)s must be unique for %(date_field)s %(lookup)s."
+msgstr "%(field_name)s peab olema unikaalne %(date_field)s %(lookup)s suhtes."
+
+#: forms/models.py:381 forms/models.py:389
+#, python-format
 msgid "%(model_name)s with this %(field_label)s already exists."
 msgstr "Sellise %(field_label)s-väljaga %(model_name)s on juba olemas."
 
-#: forms/models.py:651
-msgid "The inline foreign key did not match the parent instance primary key."
+#: forms/models.py:594
+#, python-format
+msgid "Please correct the duplicate data for %(field)s."
+msgstr "Palun parandage duplikaat-andmed lahtris %(field)s."
+
+#: forms/models.py:598
+#, python-format
+msgid "Please correct the duplicate data for %(field)s, which must be unique."
+msgstr "Palun parandage duplikaat-andmed lahtris %(field)s, mis peab olema unikaalne."
+
+#: forms/models.py:604
+#, python-format
+msgid ""
+"Please correct the duplicate data for %(field_name)s which must be unique "
+"for the %(lookup)s in %(date_field)s."
 msgstr ""
+""
 
-#: forms/models.py:706
+#: forms/models.py:612
+msgid "Please correct the duplicate values below."
+msgstr "Palun parandage allolevad duplikaat-väärtused"
+
+#: forms/models.py:867
+msgid "The inline foreign key did not match the parent instance primary key."
+msgstr "Pesastatud välisvõti ei sobi ülemobjekti primaarvõtmega."
+
+#: forms/models.py:930
 msgid "Select a valid choice. That choice is not one of the available choices."
 msgstr "Valige korrektne väärtus. Valitud väärtus ei ole valitav."
 
-#: forms/models.py:777
+#: forms/models.py:1004
 #, python-format
 msgid "Select a valid choice. %s is not one of the available choices."
 msgstr "Valige korrektne väärtus. %s ei ole valitav."
 
-#: forms/models.py:779
+#: forms/models.py:1006
 #, python-format
 msgid "\"%s\" is not a valid value for a primary key."
-msgstr ""
+msgstr "\"%s\" ei ole sobiv väärtust primaarvõtmeks."
 
-#: template/defaultfilters.py:765
+#: template/defaultfilters.py:767
 msgid "yes,no,maybe"
 msgstr "jah,ei,võib-olla"
 
-#: template/defaultfilters.py:796
+#: template/defaultfilters.py:798
 #, python-format
 msgid "%(size)d byte"
 msgid_plural "%(size)d bytes"
 msgstr[0] "%(size)d bait"
 msgstr[1] "%(size)d baiti"
 
-#: template/defaultfilters.py:798
+#: template/defaultfilters.py:800
 #, python-format
 msgid "%.1f KB"
 msgstr "%.1f KB"
 
-#: template/defaultfilters.py:800
+#: template/defaultfilters.py:802
 #, python-format
 msgid "%.1f MB"
 msgstr "%.1f MB"
 
-#: template/defaultfilters.py:801
+#: template/defaultfilters.py:803
 #, python-format
 msgid "%.1f GB"
 msgstr "%.1f GB"
 
-#: utils/dateformat.py:41
+#: utils/dateformat.py:42
 msgid "p.m."
 msgstr "p.l."
 
-#: utils/dateformat.py:42
+#: utils/dateformat.py:43
 msgid "a.m."
 msgstr "e.l."
 
-#: utils/dateformat.py:47
+#: utils/dateformat.py:48
 msgid "PM"
 msgstr "PL"
 
-#: utils/dateformat.py:48
+#: utils/dateformat.py:49
 msgid "AM"
 msgstr "EL"
 
-#: utils/dateformat.py:97
+#: utils/dateformat.py:98
 msgid "midnight"
 msgstr "südaöö"
 
-#: utils/dateformat.py:99
+#: utils/dateformat.py:100
 msgid "noon"
 msgstr "keskpäev"